main {
    margin-left: auto;
    margin-right: auto;
    h2 {
        margin: 0;
    }
}

section {
    padding: 20px 40px;
    border-bottom: 1px solid gray;
    .sind {
        width: 100%;
        max-width: 1200px;
        margin-left: auto;
        margin-right: auto;
        ul li a {
            color: #4285f4;
            font-weight: 600;
        }
        h2 {
            margin: 0;
            padding: 0;
            margin-bottom: 15px;
            * {
                margin: 0;
                padding: 0;
            }
            display: flex;
            align-items: center;
            gap: 10px;
            font-weight: 900;
            img {
                height: 30px;
                width: auto;
            }
        }
        .maillink {
            background: #4285f4;
            color: #fff;
            display: flex;
            gap: 10px;
            align-items: center;
            padding: 20px;
            font-size: 18px;
            text-decoration: none;
            font-weight: 800;
            img {
                width: 30px;
                height: auto;
                filter: invert(1);
            }
        }
        h3 {
            font-size: 20px;
            font-weight: 800;
            margin-top: 30px;
            margin-bottom: 25px;
            display: flex;
            gap: 10px;
            align-items: center;
            position: relative;
            img {
                width: 25px;
                height: auto;
            }
            &::after {
                content: "";
                display: block;
                position: absolute;
                width: 50px;
                height: 2px;
                background: #000;
                bottom: -10px;
            }
        }
    }
}

.toollink {
    display: grid;
    flex-wrap: wrap;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 300px), 1fr));
    grid-auto-columns: 1fr;
    gap: 10px;
    justify-content: center;
    width: 100%;
    a {
        border: 1px solid #000;
        display: flex;
        gap: 10px;
        align-items: center;
        text-decoration: none;
        font-size: 23px;
        font-weight: 700;
        padding: 10px;
        width: 100%;
        color: #000;
        position: relative;
        &:hover {
            &::before {
                transition: all 0.3s ease;
                transform: scale(1.5);
            }
        }
        img {
            height: 50px;
            width: auto;
            border: 1px solid #000;
        }
        &::before {
            content: "";
            width: 20px;
            height: 20px;
            background-image: url(/img/icon/link.svg);
            background-size: cover;
            position: absolute;
            right: 20px;
            transition: all 0.3s ease;
            transform: scale(1);
        }
    }
    .toola {
        &::before {
            background-image: url(/img/icon/down.svg) !important;
        }
    }
}

.toolhead {
    position: sticky;
    top: 60px;
    background: #fff;
    z-index: 1;
    .toolmenu {
        display: flex;
        gap: 10px;
    }
    input {
        border: 1px solid #000;
        height: 40px;
        background: transparent;
        width: calc(100% - 50px);
        padding: 0 10px;
    }
    button {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40px !important;
        height: 40px !important;
        background: transparent;
        border: 1px solid #000;
        img {
            width: 20px;
            height: 20px;
        }
    }
}
.tools {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 200px), 1fr));
    grid-auto-columns: 1fr;
    width: 100%;
    gap: 20px;
    padding-top: 30px;
    justify-content: center;
    a {
        display: flex;
        flex-direction: column;
        text-decoration: none;
        border: 1px solid #000;
        padding: 20px;
        color: #000;
        h3 {
            margin: 0;
            margin-top: 10px;
            margin-bottom: 20px;
        }
        p {
            margin: 0;
            font-size: 13px;
            color: gray;
        }
        img {
            width: 100%;
            height: auto;
            border: #000 solid 1px;
        }
        .t-info {
            width: 100%;
            margin: 0;
            padding: 0;
            height: auto;
            position: relative;
            display: flex;
            span {
                display: flex;
                align-items: center;
                justify-content: center;
                position: absolute;
                right: 0;
                bottom: 0;
                background: brown;
                color: #fff;
                font-size: 12px;
                padding: 0;
                height: 28px;
                border-top: 1px solid #000;
                border-left: 1px solid #000;
                width: 80px;
                margin: 0;
            }
        }
    }
}


@media (min-width: 600px) {
    .tools {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 800px) {
    .tools {
        grid-template-columns: repeat(3, 1fr);
    }
}


.toolf {
    h3 {
        margin: 0;
        margin-top: 15px !important;
        margin-bottom: 5px !important;
        text-align: left !important;
        display: flex;
        gap: 10px;
        align-items: center;
        img {
            width: 20px;
            height: auto;
            margin: 0 !important;
        }
    }
    label {
        display: flex;
        align-items: center;
        margin: 0;
        gap: 10px;
        * {
            margin: 0;
        }
    }
    select {
        width: 100%;
        padding: 5px;
        border: 1px solid #000;
    }
}

/* radio */
input[type="radio"] {
    width: 15px !important;
    height: 15px !important;
    border: 1px solid #000;
    padding: 0 !important;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;
    left: 0;
}

input[type="radio"]:checked {
    background: #fff;
    opacity: 1;
    border: 1px solid #4285f4;
}

input[type="radio"]:checked::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 8px;
    height: 8px;
    background-color: none;
    background: #4285f4;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.3s ease-in-out;
}

input[type="radio"]:focus {
    outline: none;
}

/* cb */
input[type="checkbox"] {
    width: 15px;
    height: 15px;
    border: none;
    background: #fff;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;
    border: 1px solid #000;
}

input[type="checkbox"]:checked {
    background: #fff;
    opacity: 1;
    border: 1px solid #000;
}

input[type="checkbox"]:checked::before {
    content: "";
    position: absolute;
    top: 6px;
    left: 7px;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 3px;
    height: 7px;
    border: solid #4285f4;
    border-width: 0 2.5px 2.5px 0;
}

input[type="checkbox"]:focus {
  outline: none;
}
